Bug 208983 - With compiz enabled on a server, VNC is broken
With compiz enabled on a server, VNC is broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
: 228063 (view as bug list)
Depends On:
Blocks: 213565
  Show dependency treegraph
 
Reported: 2006-10-02 16:42 EDT by Zack Cerza
Modified: 2010-02-22 06:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 567410 (view as bug list)
Environment:
Last Closed: 2009-07-14 13:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2006-10-02 16:42:33 EDT
Description of problem:
Compiz being enabled on an X server breaks VNC.

Version-Release number of selected component (if applicable):
compiz-0.0.13-0.28.20060817git.fc6.x86_64
xorg-x11-server-Xorg-1.1.1-40.fc6.x86_64
xorg-x11-drv-ati-6.6.2-2.fc6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Enable compiz on machine A
2. VNC into machine A from machine B
3. Move a window, open a menu... something like that
  
Actual results:
Changes are reflected on the screen of machine A, but not machine B.

Expected results:
Changes are reflected on the screens of both machine A and machine B.

Additional info:
05:00.0 VGA compatible controller: ATI Technologies Inc Radeon R350 [Radeon 9800
Pro]
Comment 1 Andy Lawrence 2006-10-31 12:17:01 EST
Exact same with:

compiz-0.0.13-0.32.20060817git.fc6
xorg-x11-server-Xorg-1.1.1-47.fc6
xorg-x11-drv-nvidia-1.0.9626-2.lvn6
kmod-nvidia-1.0.9626-1.2.6.18_1.2798.fc6
vnc-4.1.2-5.fc6


Comment 2 Bojan Smojver 2006-11-30 19:07:55 EST
On FC6, compiz actually refuses to start inside VNC, claiming that there is no
composite extension. Is it possible to change X11 startup scripts so that if
compiz doesn't start, metacity is attempted instead?
Comment 3 Tomasz Torcz 2006-12-26 16:31:55 EST
GNOME VNC server (vino) also doesn't work. VNC client sees only black screen.
Comment 4 Matěj Cepl 2007-10-02 14:20:53 EDT
Zack, sorry, for the silly boiler-plate message, but here we are:

Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 5 Andy Lawrence 2007-10-02 22:06:48 EDT
I have all updates loaded, this is still broken on 6 separate PCs.
Comment 6 Matěj Cepl 2007-11-01 07:20:15 EDT
*** Bug 228063 has been marked as a duplicate of this bug. ***
Comment 7 Matěj Cepl 2008-01-23 18:22:49 EST
Zack, haven't you promised me something?
Comment 8 Bojan Smojver 2008-01-23 19:36:15 EST
I worked around my problem by having this in ~/.vnc/xstartup:

# Uncomment the following two lines for normal desktop:
unset SESSION_MANAGER
export WINDOW_MANAGER=metacity
exec /etc/X11/xinit/xinitrc
Comment 9 Matěj Cepl 2008-01-24 11:57:24 EST
OK, you have persuaded me.
Comment 10 Zack Cerza 2008-01-24 12:04:40 EST
Sorry Matej,

The other day I decided it was time to upgrade to rawhide, since I'd heard it
wasn't too bad.

It is. Intel driver is broken.

:(
Comment 11 Matěj Cepl 2008-01-24 19:15:16 EST
If only Intel driver ... :-)
Comment 12 Bug Zapper 2008-05-13 22:23:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Adam Gibson 2009-06-01 00:33:28 EDT
I just experienced this when upgrading from FC10 to FC11-preview and rawhide(20090531 which will become FC11.

In FC10 the 'nvidia' driver worked with vino and compiz.  Compiz works in FC11 but vino server just shows the initial screen to the client when you connect remotely (I am using RealVNC on windows to connect to FC11).

[static@leeloo ~]$ rpm -q vino compiz xorg-x11-server-Xorg
vino-2.26.1-2.fc11.x86_64
compiz-0.7.8-18.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64

Latest nvidia driver at this time:
NVIDIA-Linux-x86_64-180.51-pkg2.run
Comment 14 Bug Zapper 2009-06-09 18:18:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 13:08:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Walter Neumann 2010-02-21 19:11:31 EST
I confirm this bug in FC12. Using vnc to access remote machine running vino, the screen is not updated in the vnc viewer window if remote machine has desktop effects enabled. No problem without desktop effects.
Comment 17 Matěj Cepl 2010-02-22 06:53:30 EST
(In reply to comment #16)
> I confirm this bug in FC12. Using vnc to access remote machine running vino,
> the screen is not updated in the vnc viewer window if remote machine has
> desktop effects enabled. No problem without desktop effects.    

If both macines have supported versions of Fedora (i.e., >= 11), please file a new bug for the issue. Attach also your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, system log (/var/log/messages), and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.